Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.game
Class GameHistoryTurn

    java.lang.Object
      vutbr.checkers.game.GameHistoryTurn

    public class GameHistoryTurn

extends java.lang.Object

Jednotlive posunuti figurkou

Author:
  Ondrej Choleva , Ondrej Novy

Constructor Summary
`GameHistoryTurn()` Kontruktor

Method Summary
`protected GamePiece` | `getRemoved()` Vrati typ odebrane figurky
`protected int` | `getRemovedX()` Vrati souradnici x odebrane figurky
`protected int` | `getRemovedY()` Vrati souradnici y odebrane figurky
`protected int` | `getToX()` Vrati cilovou souradnici x
`protected int` | `getToY()` Vrati cilovou souradnici y
`protected int` | `getX()` Vrati zdrojovou souradnici x
`protected int` | `getY()` Vrati zdrojovou souradnici y
`protected boolean` | `isChangedToKing()` Vrati priznak zmeny na damu
`protected void` | `setChangedToKing()`
`protected void` | `setRemoved(int x, int y, GamePiece piece)` Nastavi souradnice a typ odebrane figurky
`protected void` | `setToX(int toX)` Nastavi cilovou souradnici X
`protected void` | `setToY(int toY)` Nastavi cilovou souradnici Y
`protected void` | `setTurn(int x, int y, int toX, int toY)` Nastavi souradnice tahu
`protected void` | `setX(int x)` Nastavi zdrojovou souradnici X
`protected void` | `setY(int y)` Nastavi zdrojovou souradnici Y

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameHistoryTurn

    public GameHistoryTurn()

  Kontruktor

Method Detail

### setTurn

    protected void setTurn(int x,
                           int y,
                           int toX,
                           int toY)

  Nastavi souradnice tahu

  Parameters:
    `x` - Vychozi souradnice x
    `y` - Vychozi souradnice y
    `toX` - Cilova souradnice x
    `toY` - Cilova souradnice y

### setRemoved

    protected void setRemoved(int x,
                              int y,
                              GamePiece piece)

  Nastavi souradnice a typ odebrane figurky

  Parameters:
    `x` - Souradnice x
    `y` - Souradnice y
    `piece` - Typ figurky

### setChangedToKing

    protected void setChangedToKing()

### setX

    protected void setX(int x)

  Nastavi zdrojovou souradnici X

  Parameters:
    `x` - Zdrojova souradnice X

### setY

    protected void setY(int y)

  Nastavi zdrojovou souradnici Y

  Parameters:
    `y` - Zdrojova souradnice Y

### setToX

    protected void setToX(int toX)

  Nastavi cilovou souradnici X

  Parameters:
    `toX` - Cilova souradnice X

### setToY

    protected void setToY(int toY)

  Nastavi cilovou souradnici Y

  Parameters:
    `toY` - Cilova souradnice Y

### getX

    protected int getX()

  Vrati zdrojovou souradnici x

  Returns:
    Zdrojova souradnice x

### getY

    protected int getY()

  Vrati zdrojovou souradnici y

  Returns:
    Zdrojova souradnice y

### getToX

    protected int getToX()

  Vrati cilovou souradnici x

  Returns:
    Cilova souradnice x

### getToY

    protected int getToY()

  Vrati cilovou souradnici y

  Returns:
    Cilova souradnice y

### getRemoved

    protected GamePiece getRemoved()

  Vrati typ odebrane figurky

  Returns:
    Pesec, dama nebo null

### getRemovedX

    protected int getRemovedX()

  Vrati souradnici x odebrane figurky

  Returns:
    Souradnice x odebrane figurky

### getRemovedY

    protected int getRemovedY()

  Vrati souradnici y odebrane figurky

  Returns:
    Souradnice x odebrane figurky

### isChangedToKing

    protected boolean isChangedToKing()

  Vrati priznak zmeny na damu

  Returns:
    True nebo false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD